---
- name: "Keel: Set default facts for K8S"
  ansible.builtin.set_fact:
    k8s_config: "{{ K8S_KUBECONFIG_PATH }}/{{ inv_op_stack.ns_kubeconfig }}"
    k8s_context: "{{ inv_k8s.config.context }}"
    k8s_namespace: "{{ inv_op_stack.postgres_operator.ns_name }}"

- name: "Keel: Create a k8s namespace"
  kubernetes.core.k8s:
    name: "{{ k8s_namespace }}"
    kubeconfig: "{{ k8s_config }}"
    context: "{{ k8s_context }}"
    api_version: v1
    kind: Namespace
    state: present
  when: inv_op_stack.ns_create

- name: "Keel: Ensure gitlab-registry secret is available"
  include_tasks: tasks/templates/registry_secret.yml

- name: "Keel: Create the Keel Helm Installation"
  include_tasks: tasks/templates/k8s-helm.yml
  vars:
    helm_repo_name: "{{ software.stack_op.keel.helm_repo_name }}"
    helm_repo_url: "{{ software.stack_op.keel.helm_repo_url }}"
    helm_chart_name: "{{ software.stack_op.keel.helm_chart_name }}"
    helm_release_name: "{{ software.stack_op.keel.helm_release_name }}"
    helm_chart_reference: "{{ software.stack_op.keel.helm_repo_name }}/{{ software.stack_op.keel.helm_chart_name }}"
    helm_chart_version: "{{ software.stack_op.keel.helm_chart_version }}"
    helm_values_file: "templates/operation/keel/keel_values.yaml"
    helm_create_namespace: false
